Package com.dropbox.core.v2.files
Class SearchBuilder
java.lang.Object
com.dropbox.core.v2.files.SearchBuilder
The request builder returned by
DbxUserFilesRequests.searchBuilder(java.lang.String, java.lang.String).
Use this class to set optional request parameters and complete the request.
-
Method Summary
Modifier and TypeMethodDescriptionstart()Issues the request.withMaxResults(Long maxResults) Set value for optional field.withMode(SearchMode mode) Set value for optional field.Set value for optional field.
-
Method Details
-
withStart
Set value for optional field.If left unset or set to
null, defaults to0L.- Parameters:
start- The starting index within the search results (used for paging). Must be less than or equal to 9999. Defaults to0Lwhen set tonull.- Returns:
- this builder
- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.
-
withMaxResults
Set value for optional field.If left unset or set to
null, defaults to100L.- Parameters:
maxResults- The maximum number of search results to return. Must be greater than or equal to 1 and be less than or equal to 1000. Defaults to100Lwhen set tonull.- Returns:
- this builder
- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.
-
withMode
Set value for optional field.If left unset or set to
null, defaults toSearchMode.FILENAME.- Parameters:
mode- The search mode (filename, filename_and_content, or deleted_filename). Note that searching file content is only available for Dropbox Business accounts. Must not benull. Defaults toSearchMode.FILENAMEwhen set tonull.- Returns:
- this builder
- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.
-
start
Issues the request.- Throws:
SearchErrorExceptionDbxException
-